### Enumeration

# Adw AnimationState

since: 1

#### Declaration

    enum Adw.AnimationState

#### Description [src]

Describes the possible states of an `AdwAnimation`.

The state can be controlled with `adw_animation_play()`, `adw_animation_pause()`, `adw_animation_resume()`, `adw_animation_reset()` and `adw_animation_skip()`.

Available since: 1

#### Members

`ADW_ANIMATION_IDLE`

  The animation hasn’t started yet.

  - Value: `0`
  - Nickname: `idle`
  - Available since: 1
`ADW_ANIMATION_PAUSED`

  The animation has been paused.

  - Value: `1`
  - Nickname: `paused`
  - Available since: 1
`ADW_ANIMATION_PLAYING`

  The animation is currently playing.

  - Value: `2`
  - Nickname: `playing`
  - Available since: 1
`ADW_ANIMATION_FINISHED`

  The animation has finished.

  - Value: `3`
  - Nickname: `finished`
  - Available since: 1